Index: tools/build-ccheck.sh
===================================================================
--- tools/build-ccheck.sh	(revision f134413fa55addfb59fcf058f5aa96cdc941f065)
+++ tools/build-ccheck.sh	(revision a4eb3ba2b6a831a2a639dfe74c4deb2ca435b91c)
@@ -28,5 +28,31 @@
 #
 
-git clone https://github.com/jxsvoboda/sycek sycek
+SYCEK_GIT="https://github.com/jxsvoboda/sycek sycek"
+SYCEK_REV="722f6c377875ea9e471d77e7486c8d06f0a73ff7"
+
+if [ ! -d sycek ]; then
+	git clone https://github.com/jxsvoboda/sycek sycek
+fi
+
 cd sycek
-make
+
+# Make sure we have the required revision
+echo "Making sure Sycek is up to date..."
+git checkout "$SYCEK_REV" 2>/dev/null
+rc=$?
+if [ $rc != 0 ]; then
+	echo "Pulling from Sycek repo..."
+	git checkout master
+	git pull
+	git checkout "$SYCEK_REV" 2>/dev/null
+	rc=$?
+	if [ $rc != 0 ]; then
+		echo "Error checking out Sycek rev $SYCEK_REV"
+		exit 1
+	fi
+
+	make clean || exit 1
+	make || exit 1
+else
+	make >/dev/null || exit 1
+fi
Index: tools/ccheck.sh
===================================================================
--- tools/ccheck.sh	(revision f134413fa55addfb59fcf058f5aa96cdc941f065)
+++ tools/ccheck.sh	(revision a4eb3ba2b6a831a2a639dfe74c4deb2ca435b91c)
@@ -39,6 +39,4 @@
 snorepcnt=0
 fcnt=0
-exitfile="$(mktemp)"
-echo 0 >"$exitfile"
 
 find abi kernel boot uspace -type f -regex '^.*\.[ch]$' | (
@@ -50,6 +48,5 @@
 		if [ -s "$outfile" ] ; then
 			srepcnt=$((srepcnt + 1))
-			#cat "$outfile"
-			echo "$fname has issues"
+			cat "$outfile"
 		else
 			snorepcnt=$((snorepcnt + 1))
@@ -64,11 +61,12 @@
 done
 
-echo "Checked files with issues: $srepcnt"
-echo "Checked files without issues: $snorepcnt"
-echo "Not checked files: $fcnt"
+if [ $srepcnt == 0 -a $fcnt == 0 ] ; then
+	echo "Ccheck passed."
+else
+	echo "Ccheck failed."
+	echo "Checked files with issues: $srepcnt"
+	echo "Checked files without issues: $snorepcnt"
+	echo "Files with parse errors: $fcnt"
+	exit 1
+fi
 )
-
-exitcode=$(cat "$exitfile")
-rm -rf "$exitfile"
-
-exit $exitcode
